<?php
require('functions.php');
if(isset($_POST['submit'])){
	require('clases/persona.class.php');
	$objPersona=new persona;
		$objPersona2=new persona;
	
	$per_id = htmlspecialchars(trim($_POST['per_id']));
	$cedula_per = htmlspecialchars(trim($_POST['cedula_per']));
	$apellidos_per = htmlspecialchars(trim($_POST['apellidos_per']));
	$nombres_per = htmlspecialchars(trim($_POST['nombres_per']));
	$lugarNac_per = htmlspecialchars(trim($_POST['lugarNac_per']));
	$fecha_nacimiento = htmlspecialchars(trim($_POST['fecha_nacimiento']));
	$usuario_usu= htmlspecialchars(trim($_POST['usuario_usu']));
	$contrasena_usu= htmlspecialchars(trim($_POST['contrasena_usu']));
	
	
	if ( $objPersona->insertar_usuario(array($usuario_usu,$contrasena_usu,$per_id)) == true){
		echo 'Datos guardados';
	}else{
		echo 'Se produjo un error. Intente nuevamente';
	} 
	if ( $objPersona->actualizar(array($cedula_per,$apellidos_per,$nombres_per,$lugarNac_per,$fecha_nacimiento,),$per_id) == true){
		echo 'Datos guardados';
	}else{
		echo 'Se produjo un error. Intente nuevamente';
	} 
	
	
}else{
	if(isset($_GET['id_per'])){
		
		require('clases/persona.class.php');
		$objPersona=new persona;
		$consulta =$objPersona->mostrar_persona($_GET['id_per']);
		$persona = mysql_fetch_array($consulta);
		$objPersona2=new persona;
		$consulta =$objPersona2->mostrar_usuario($_GET['id_per']);
		$persona2 = mysql_fetch_array($consulta);
	?>
	<form id="frmClienteActualizar" name="frmClienteActualizar" method="post" action="actualizar.php" onsubmit="ActualizarDatos(); return false">
    	<input type="hidden" name="per_id" id="per_id" value="<?php echo $persona['id_per']?>" />
        <p>
	  <label>Cedula<br />
	  <input class="text" type="text" name="cedula_per" id="cedula_per"  value="<?php echo $persona['cedula_per']?> " placeholder="Nombre y Apellido" required />
	  </label>
      </p>
	  <p>
		<label>Apellidos<br />
		<input class="text" type="text" name="apellidos_per" id="apellidos_per" value="<?php echo $persona['apellidos_per']?>" />
		</label>
	  </p>
	  <p>Nombres</p>
	  <p>
	    <input class="text" type="text" name="nombres_per" id="nombres_per" value="<?php echo $persona['nombres_per']?>" />
	  </p>
	  <p>
		<label>Lugar Nacimiento<br />
		<input class="text" type="text" name="lugarNac_per" id="lugarNac_per" value="<?php echo $persona['lugarNac_per']?>" />
		</label>
	  </p>
	  <p>
        <p>
          <label>Fecha Nacimiento <a onclick="show_calendar()" style="cursor: pointer;"><small>(calendario)</small></a><br />
            <input readonly="readonly" class="text" type="text" name="fecha_nacimiento" id="fecha_nacimiento" value="<?php echo $persona['fechaNac_per'] ?>" />
            <div id="calendario" style="display:none;"><?php calendar_html() ?></div>
          </label>
          </p>
        </p>
        <p>Usuario</p>
        <p>
          <label for="usuario_usu"></label>
          <input type="text" name="usuario_usu" id="usuario_usu" value="<?php echo $persona2['usuario_usu']?>" />
        </p>
        <p>Contraseña</p>
        <p>
          <label for="contrasena_usu"></label>
          <input type="text" name="contrasena_usu" id="contrasena_usu" value="<?php echo $persona2['contrasena_usu']?>" />
        </p>
      <p>
		<input type="submit" name="submit" id="button" value="Enviar" />
		<label></label>
		<input type="button" name="cancelar" id="cancelar" value="Cancelar" onclick="Cancelar()" />
	  </p>
	</form>
	<?php
	}
}
?>